Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

After installing the Bitnami stack and discussing an update (issue 3336), I pushed ahead and installed the subversion 1.6.1 server

software under windows server 2003 rev 2 standard edition.

After rebooting, then trying to access via the client or the server via web browser, I get a 404 error:

The requested URL /redmine/ was not found on this server.

I list this as a feature request, not a bug, because the Redmine website only claims compatibility up to 1.4.x.

Thanks,

Matt Schifter

History

#1 - 2009-05-12 20:24 - Jean-Philippe Lang

Please give some details and your Redmine log.

I can't see why you would get this 404 error because of svn 1.6.

#2 - 2009-05-12 20:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I've just tested with subversion 1.6.1. All the tests pass.

I think your environment is not properly set up.

#3 - 2009-05-12 20:46 - Gregor Bader

Hi Matt,

Don't use Bitnami redmine stack! I have tried this, too and nothing was working!

Use Collab's subversion Installer (http://www.open.collab.net/downloads/subversion/) and install ruby on rails (http://rubyonrails.org/download) its

really easy.

#4 - 2009-05-12 20:53 - Matt Schifter

- % Done changed from 0 to 100

I installed the Bitnami stack on a fresh Windows 2003 server. Here's the release list on the stack:

- Redmine 0.8.3

  - Apache 2.2.11

  - ImageMagick 6.4.7

  - MySQL 5.1.30

  - Subversion 1.4.6

  - Ruby 1.8.6

  - Rails 2.1.1

  - RubyGems 1.2.0

 After discussing the issue 3336, regarding updating to the latest svn, I ran the Collabnet Subversion 1.6.1-2 win32 executable installer. Things

seemed ok, but a reboot was certainly warranted, so after that I got the 404 error when trying to access redmine from the server and from the client.
In looking for the log file you requested, I found a production.log in the redmine/log subfolder. I also discovered the original redmineSubversion

service was still running out of the bitnami stack. So I killed that, set it to manual run only and rebooted again so the new service would be running,

only.

Well this fixes the problem apparently. So the Collabnet installer doesn't know anything about the old install or the "redmineSubversion" install. Now

to move onto the next step -- creating and/or linking to a 1.6.1. repository with the bitnami install.

Matt

Powered by TCPDF (www.tcpdf.org)

2025-04-11 2/2

http://www.tcpdf.org

